.nymain {
    margin-top: 0;
}

/* å¼¹çª—é¡µé¢é€šç”¨ */
.bless-page {
    padding: 100px 0;
    background: url(../images/page-wrapper2.jpg) no-repeat center center / cover;
}

.bless-modal {
    position: relative;
    width: 100%;
    max-width: 600px;
    margin: 0 auto;
    background: url(../images/tk.png) no-repeat center center / cover;
    border-radius: 10px;
    padding: 30px 65px;
    box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.3);
    z-index: 10;
    min-height: 688px;
    box-sizing: border-box;
}

/* é‚®æˆ³ */
.postmark {
    position: absolute;
    top: 13px;
    right: 0;
    width: 120px;
    height: 70px;
    background: url(../images/bless-logo.png) no-repeat center center/contain;
    pointer-events: none;
    z-index: 10;
}

/* å¼¹çª—2ï¼šè¡¨å• */
.form-header-inputs {
    display: flex;
    margin-bottom: 30px;
    position: relative;
    z-index: 11;
    padding-right: 100px;
}

.fh-item {
    display: flex;
    align-items: center;
    font-weight: bold;
    color: #333;
    font-size: 16px;
}

.fh-item:nth-child(1) {
    width: 300px;
}

.fh-item:nth-child(2) {
    width: 140px;
    margin-left: 30px;
}

.fh-item span {
    font-weight: bold;
}

.fh-item input {
    border: none;
    border-bottom: 1px solid rgba(0, 0, 0, 0.16);
    outline: none;
    flex: 1;
    min-width: 0;
    text-align: center;
    color: #666;
    font-size: 16px;
    padding-bottom: 5px;
    background: transparent;
}

.fh-item input:focus {
    border-bottom-color: #d81616;
    color: #d81616;
}

.form-banner {
    height: 50px;
    background: url(../images/tit-bg.png) no-repeat center center/100% 100%;
    color: #FFF8C6;
    line-height: 50px;
    font-family: Microsoft YaHei;
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 30px;
    padding-left: 65px;
    position: relative;
}

.form-list {
    margin-bottom: 20px;
    height: 270px;
    overflow-y: auto;
    padding-right: 15px;
}

.form-list::-webkit-scrollbar {
    width: 4px;
    height: 8px;
    background-color: rgba(179, 24, 24, 0.1);
    border-radius: 20px;
}

.form-list::-webkit-scrollbar-track {
    border-radius: 20px;
    background-color: rgba(179, 24, 24, 0.1);
}

.form-list::-webkit-scrollbar-thumb {
    border-radius: 20px;
    background-color: rgba(179, 24, 24, 1);
}

.yzm {
    margin-bottom: 30px;
}

.yzm span {
    height: 30px;
    margin-right: 5px;
    display: inline-block;
}

.yzm span img {
    height: 100%;
}

.yzm input {
    width: 150px;
    height: 28px;
    line-height: 28px;
    padding: 0 10px;
    border: 1px solid #d81616;
    border-radius: 5px;
}

.radio-item {
    display: flex;
    align-items: center;
    padding: 12px 18px;
    border-radius: 10px;
    border: 1px solid #B31818;
    margin-bottom: 20px;
    cursor: pointer;
    transition: all 0.3s;
    color: #333;
    font-family: Source Han Sans CN;
    font-size: 18px;
    font-weight: 500;
}

.radio-item input[type="radio"] {
    display: none;
}

.radio-item.active {
    background: #B31818;
    color: #FFF8C6;
}

.radio-icon {
    width: 16px;
    height: 16px;
    background: url(../images/dot1.png) no-repeat center center/100% 100%;
    margin-right: 13px;
    position: relative;
    flex-shrink: 0;
}

.radio-item.active .radio-icon {
    background-image: url(../images/dot2.png);
}

.form-custom {
    margin-bottom: 24px;
    border: 1px solid #d81616;
    border-radius: 10px;
    background: rgba(216, 22, 22, 0.03);
    padding: 15px 20px;
    display: flex;
    align-items: flex-start;
}

.form-custom .custom-icon {
    width: 16px;
    height: auto;
    margin-right: 8px;
    margin-top: 4px;
    flex-shrink: 0;
}

.form-custom .custom-label {
    font-size: 16px;
    color: #333;
    white-space: nowrap;
    line-height: 1.5;
    flex-shrink: 0;
}

.form-custom textarea {
    flex: 1;
    height: 80px;
    border: none;
    resize: none;
    outline: none;
    background: transparent;
    color: #333;
    font-family: inherit;
    font-size: 16px;
    padding: 0;
    line-height: 1.5;
    -ms-overflow-style: none;
    /* IE11éšè—æ»šåŠ¨æ¡ */
    overflow: hidden;
}

.btn-submit {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 158px;
    margin: 0 auto;
    background: #B31818;
    color: #fff;
    padding: 10.8px 0;
    font-family: Source Han Sans CN;
    font-size: 18px;
    font-weight: 500;
    border-radius: 30px;
    cursor: pointer;
    border: none;
    transition: transform 0.3s;
    position: relative;
}

.btn-submit::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    padding: 5px;
    background: rgba(179, 24, 24, 0.2);
    border-radius: 30px;
    z-index: -1;
}

.btn-submit img {
    display: block;
    margin-right: 6px;
    width: 20px;
}

.btn-submit:hover {
    transform: scale(1.05);
}

/* å¼¹çª—1ï¼šç»“æžœæµ·æŠ¥ */
#modal-result {
    width: 100%;
    max-width: 460px;
    padding: 30px 50px;
    background-image: url(../images/tk1.png);
}

#modal-result .postmark {
    top: 97px;
}

.res-logo {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 17px;
}

.res-logo img {
    display: block;
    width: 291px;
}

.res-from {
    text-align: center;
    margin-bottom: 34px;
}

.res-from .t1 {
    font-size: 24px;
    color: #B31818;
    font-weight: 700;
    margin-bottom: 10px;
    letter-spacing: 2px;
}

.res-from .t2 {
    font-size: 20px;
    color: #B31818;
    font-weight: bold;
}

.res-content {
    font-size: 18px;
    color: #333;
    line-height: 1.8;
    margin-bottom: 58px;
    text-align: justify;
    min-height: 74px;
}

.res-num {
    text-align: center;
    font-size: 18px;
    color: #333;
    margin-bottom: 38px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.circle-num {
    display: inline-block;
    width: 60px;
    height: 60px;
    line-height: 60px;
    background: #B31818;
    color: #FFF8C6;
    border-radius: 50%;
    font-size: 18px;
    font-weight: bold;
    margin: 0 8px;
}

.res-qr {
    text-align: center;
}

.qr-img {
    width: 100px;
    height: 100px;
    margin: 0 auto 19px;
    box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.1);
}

.qr-img img {
    display: block;
    width: 100%;
}

.res-qr .qr-txt {
    font-size: 16px;
    color: #333;
    line-height: 1.6;
}

@media screen and (max-width: 768px) {
    .nymain {
        padding: 0;
    }

    .bless-page {
        padding: 50px 10px;
    }

    .bless-modal {
        width: calc(100% - 40px);
        padding: 20px;
        height: auto;
    }

    #modal-result {
        width: calc(100% - 40px);
        padding: 20px;
    }
}

@media screen and (max-width: 500px) {
    .postmark {
        display: none;
    }

    .form-header-inputs {
        flex-direction: column;
        padding-right: 0;
    }

    .fh-item {
        width: 100% !important;
    }

    .fh-item:nth-child(2) {
        margin-top: 20px;
        margin-left: 0;
    }

    .form-banner {
        background: url(../images/tit-bg2.png) no-repeat center center / 100% 100%;
        padding-left: 0;
        text-align: center;
    }

    .radio-item {
        font-size: 15px;
        padding: 10px;
    }

    .form-custom {
        padding: 10px;
    }

    .form-custom .custom-label,
    .form-custom textarea,
    .res-content,
    .res-num {
        font-size: 15px;
    }

    .res-qr .qr-txt {
        font-size: 13px;
    }

    .res-content {
        margin-bottom: 20px;
    }

    .res-from .t1 {
        font-size: 20px;
    }

    .res-from .t2 {
        font-size: 18px;
    }

    .circle-num {
        width: 50px;
        height: 50px;
        line-height: 50px;
        font-size: 16px;
    }

    .qr-img {
        width: 80px;
        height: 80px;
        margin: 0 auto 10px;
    }
}